#!/usr/bin/perl -w
#
# Check whether idx5 and idx6 indices are same.
#
# idx5: reference index which is simply indexed.
# idx6: garbage collected by gcnmz.
#

use strict;
require Cwd;
use File::Compare;
use File::Basename;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $INDEX = "$cwd/idx5";
my $INDEX2 = "$cwd/idx6";

pltests::putline($LOG, "  *** starting $0");

my @targets = ();
for my $file (<$INDEX/NMZ.*>) {
    if ($file !~ /NMZ\.(?:log|r|slog|status|err|t|field\.date)$/s) {
        push @targets, basename($file);
    }
}

for my $file (@targets) {
    if (compare("$INDEX/$file", "$INDEX2/$file") != 0) {
        print "$INDEX/$file $INDEX2/$file\n";
        exit 1;
    }
}

exit 0;
