#!/usr/bin/perl -w
#
# Test for namazu. Searching an index having updated documents.
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $INDEX = "$cwd/idx7";
my $NAMAZU = pltests::binpath('namazu');

my $cmd;

pltests::putline($LOG, "  *** starting $0");

my $docnum;
my $doc = pltests::cat("$INDEX/NMZ.log");
unless (defined $doc) {
    exit 1;
}
if ($doc =~ /^Updated Documents:\s+(\d+)/m) {
    $docnum = $1;
} else {
    exit 1;
}

# Check simple searching.
$cmd = "$NAMAZU -a xyzzy $INDEX";
pltests::putline($LOG, "  $cmd");
system("$cmd >> $LOG");
if ($? != 0) {
    exit 1;
}

$cmd = "$NAMAZU -c xyzzy $INDEX";
my $hitnum = `$cmd`;
unless (defined $hitnum) {
    exit 1;
}

pltests::putline($LOG, "docnum: $docnum hitnum: $hitnum");

if ($docnum != $hitnum) {
    exit 1;
}

exit 0;
